#
# ~/.bashrc
#

# If not running interactively, don't do anything
[[ $- != *i* ]] && return

export VISUAL='nvim'
export EDITOR="$VISUAL"

alias ls='ls --color=auto'
alias grep='grep --color=auto'
alias vim='nvim'
alias note='(cd ~/Notes/ && NVIM_APPNAME=nvim-notes nvim ~/Notes/)'
alias diary='(cd ~/Notes/ && NVIM_APPNAME=nvim-notes nvim ~/Notes/Diary.md)'
PS1='[\u@\h \W]\$ '

eval "$(zoxide init bash --cmd cd)"
eval "$(fzf --bash)"

alias doch='sudo "$BASH" -c "$(history -p !!)"'
